Move one catalog node under another parent or to the root level.
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Post, RequestUri = new Uri("https://example.com/api/workspace/catalogs/example/nodes/example/move"), Headers = { { "Authorization", "Bearer <token>" }, }, Content = new StringContent("{ \"TargetParentNodeId\": \"example\", \"RowVersion\": \"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0\", \"TargetIndex\": 1 }") { Headers = { ContentType = new MediaTypeHeaderValue("application/json") } }};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://example.com/api/workspace/catalogs/example/nodes/example/move';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"TargetParentNodeId":"example","RowVersion":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","TargetIndex":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/workspace/catalogs/example/nodes/example/move \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "TargetParentNodeId": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "TargetIndex": 1 }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Query Parameters
Section titled “Query Parameters”Optional access token for clients that cannot set Authorization headers. Prefer Authorization: Bearer <token> when possible.
Request Body
Section titled “Request Body”Move one catalog node under another parent or to the root level.
object
Target parent node identifier or null to move the node to the root level.
Expected concurrency token.
Zero-based insertion index in the destination siblings.
Examplegenerated
{ "TargetParentNodeId": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "TargetIndex": 1}Move one catalog node under another parent or to the root level.
object
Target parent node identifier or null to move the node to the root level.
Expected concurrency token.
Zero-based insertion index in the destination siblings.
Examplegenerated
{ "TargetParentNodeId": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "TargetIndex": 1}Move one catalog node under another parent or to the root level.
object
Target parent node identifier or null to move the node to the root level.
Expected concurrency token.
Zero-based insertion index in the destination siblings.
Examplegenerated
{ "TargetParentNodeId": "example", "RowVersion": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "TargetIndex": 1}Responses
Section titled “Responses”OK
object
One runtime catalog node.
object
Node identifier.
Owning catalog definition identifier.
Catalog node type definition identifier for entity-backed hierarchies.
Parent node identifier or null for root nodes.
Stable sibling key generated at create time.
Node display name.
Optional free-form description.
Ordered identifier path from the top-level node through this node.
Display breadcrumb segments resolved from current node metadata.
One display breadcrumb segment for a catalog node.
object
Node identifier.
Current node display name.
Zero-based tree depth.
Sibling sort order.
Number of direct child nodes.
Concurrency token.
Node creation timestamp.
Last modification timestamp.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Bad Request
object
One runtime catalog node.
object
Node identifier.
Owning catalog definition identifier.
Catalog node type definition identifier for entity-backed hierarchies.
Parent node identifier or null for root nodes.
Stable sibling key generated at create time.
Node display name.
Optional free-form description.
Ordered identifier path from the top-level node through this node.
Display breadcrumb segments resolved from current node metadata.
One display breadcrumb segment for a catalog node.
object
Node identifier.
Current node display name.
Zero-based tree depth.
Sibling sort order.
Number of direct child nodes.
Concurrency token.
Node creation timestamp.
Last modification timestamp.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Forbidden
object
Examplegenerated
{ "type": "example", "title": "example", "status": 1, "detail": "example", "instance": "example"}Not Found
object
One runtime catalog node.
object
Node identifier.
Owning catalog definition identifier.
Catalog node type definition identifier for entity-backed hierarchies.
Parent node identifier or null for root nodes.
Stable sibling key generated at create time.
Node display name.
Optional free-form description.
Ordered identifier path from the top-level node through this node.
Display breadcrumb segments resolved from current node metadata.
One display breadcrumb segment for a catalog node.
object
Node identifier.
Current node display name.
Zero-based tree depth.
Sibling sort order.
Number of direct child nodes.
Concurrency token.
Node creation timestamp.
Last modification timestamp.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}Conflict
object
One runtime catalog node.
object
Node identifier.
Owning catalog definition identifier.
Catalog node type definition identifier for entity-backed hierarchies.
Parent node identifier or null for root nodes.
Stable sibling key generated at create time.
Node display name.
Optional free-form description.
Ordered identifier path from the top-level node through this node.
Display breadcrumb segments resolved from current node metadata.
One display breadcrumb segment for a catalog node.
object
Node identifier.
Current node display name.
Zero-based tree depth.
Sibling sort order.
Number of direct child nodes.
Concurrency token.
Node creation timestamp.
Last modification timestamp.
object
object
object
object
Example
{ "Errors": [ { "Type": 0, "Severity": 0 } ], "Warnings": [ { "Type": 0, "Severity": 0 } ]}